:root {
    --HoverColor: #01813F;
    --MainFont: Ubuntu;
    --TransitionTime: 0.7s;
}

* {
    margin: 0;
    padding: 0;
}

body {
    background-image: url("../img/background-image.png");
    background-size: cover;
}

html, body {
    width: 100%;
    height: 100%;
}

body {
    overflow: hidden;
}

html {
    overflow: hidden;
}


.container {
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

header {
    display: flex;
    justify-content: space-between;
    height: 58px;
    background: rgba(0, 0, 0, 0.40);
    box-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0.25);
}

.header-logo {
    align-content: center;
    color: #FFF;
    font-family: Ubuntu, serif;
    font-size: 22px;
    font-style: normal;
    font-weight: 700;
    line-height: 22px;
    margin-left: 79px;
    text-decoration: none;
}

.header-logo:hover {
    color: var(--HoverColor);
    transition: all var(--TransitionTime);
    cursor: pointer;
}

.header-right-section {
    display: flex;
    align-items: center;
}

nav ul {
    display: flex;
    list-style: none;
}

nav ul li:nth-child(1) {
    margin-right: 27px;
}

nav ul li:nth-child(2) {
    margin-right: 24px;
}

.icons-div svg:nth-child(1):hover path, .icons-div svg:nth-child(2):hover path, .icons-div svg:nth-child(3):hover path {
    fill: var(--HoverColor);
    transition: all var(--TransitionTime);
}

.header-welcome-span {
    margin-left: 48px;
    color: #FFF;
    font-family: Ubuntu, serif;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 14px;
    position: relative;
}

.header-log-in-span {
    color: #FFF;
    font-family: Ubuntu, serif;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 14px;
    position: relative;
}

.header-log-in-span a {
    text-decoration: none;
    color: white;
}

.header-log-in-span a:hover {
    color: var(--HoverColor);
    transition: all var(--TransitionTime);
}

.header-or-span {
    color: #FFF;
    font-family: Ubuntu, serif;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 14px;
}

.header-welcome-span:before {
    content: '';
    position: absolute;
    width: 1px;
    height: 19px;
    opacity: 0.5;
    background: rgba(255, 255, 255, 0.90);
    left: -27px;
    top: -1px;
}

.header-sign-up-span {
    color: #FFF;
    font-family: Ubuntu, serif;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 14px;
    margin-right: 79px;
    position: relative;
}

.header-sign-up-span a {
    text-decoration: none;
    color: white;
}

.header-sign-up-span a:hover {
    color: var(--HoverColor);
    transition: all var(--TransitionTime);
}

form {
    width: 444px;
    box-sizing: border-box;
    background-color: #FFFFFF;
    border: 1px solid;
    position: relative;
}

form:before {
    position: absolute;
    content: '';
    width: 18px;
    height: 18px;
    background-color: #3CB878;
    left: 0;
    top: 29px;
}

.form-login-section {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 31px 60px 15px 60px;
}

.form-login-buttons {
    display: flex;
    justify-content: space-between;
}

.form-login-section a:nth-child(1) {
    color: #434343;
    text-align: center;
    font-family: Ubuntu, serif;
    font-size: 20px;
    font-style: normal;
    font-weight: 400;
    line-height: 20px;
    text-decoration: none;
}

.form-login-section a:nth-child(2) {
    color: #3CB878;
    font-family: Ubuntu, serif;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 14px;
    text-decoration: none;
}


.form-login-section a:nth-child(2):hover {
    color: var(--HoverColor);
    text-decoration: underline;
    transition: all var(--TransitionTime);
}

.facebook-button {
    margin-left: 60px;
    background-color: #305DB8;
    width: 160px;
    height: 48px;
    border: none;
    border-radius: 3px;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    position: relative;
}

.facebook-button:hover {
    background-color: #022263;
    cursor: pointer;
    transition: all var(--TransitionTime);
}

.facebook-button svg {
    margin-left: 11px;
    margin-right: 32px;
}

.facebook-button span {
    color: #FFF;
    font-family: Ubuntu, serif;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
}

.facebook-button span::before {
    position: absolute;
    content: '';
    width: 1px;
    height: 28px;
    opacity: 0.1;
    background-color: #2B0D09;
    top: 11px;
    left: 49px;
}

.google-button {
    margin-right: 60px;
    background-color: #DF4A32;
    width: 160px;
    height: 48px;
    border: none;
    border-radius: 3px;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    position: relative;
}

.google-button:hover {
    background-color: #AB1F09;
    cursor: pointer;
    transition: all var(--TransitionTime);
}

.google-button svg {
    margin-left: 11px;
    margin-right: 32px;
}

.google-button span {
    color: #FFF;
    font-family: Ubuntu, serif;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 16px;
}

.google-button span::before {
    position: absolute;
    content: '';
    width: 1px;
    height: 28px;
    opacity: 0.1;
    background-color: #2B0D09;
    top: 11px;
    left: 56px;
}

.span-between-buttons-and-inputs {
    color: #848484;
    font-family: Ubuntu, serif;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 14px;
    display: block;
    text-align: center;
    margin-top: 31px;
    margin-bottom: 11.96px;
    position: relative;
}

.span-between-buttons-and-inputs::before {
    position: absolute;
    content: '';
    width: 152px;
    height: 1px;
    background: #F2F2F2;
    left: 59px;
    top: 8px;
}

.span-between-buttons-and-inputs::after {
    position: absolute;
    content: '';
    width: 152px;
    height: 1px;
    background: #F2F2F2;
    right: 60px;
    top: 8px;
}

.form-inputs {
    display: flex;
    flex-direction: column;
    align-items: center;
    row-gap: 15px;
}

input {
    width: 324px;
    height: 44.083px;
    border-radius: 4px;
    border: 1px solid #F2F2F2;
    padding-left: 20px;
    box-sizing: border-box;
}

input:focus {
    filter: drop-shadow(0px 3px 8px rgba(0, 0, 0, 0.21));
    outline: none;
}

input::placeholder {
    color: #BEBEBE;
    font-family: Ubuntu, serif;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 14px;
    padding-top: 14px;
}

.checkbox-div {
    display: flex;
    margin-top: 12px;
}

.checkbox {
    display: none;
}

.fake-checkbox {
    display: block;
    width: 20px;
    height: 20px;
    border: 1px solid #F2F2F2;
    background: rgba(0, 0, 0, 0.00);
    margin-left: 60px;
    box-sizing: border-box;
    position: relative;
}

.fake-checkbox::before {
    content: url("../img/tick.svg");
    position: absolute;
    left: 1.5px;
    top: 1px;
    opacity: 0;
}

.checkbox:checked + .fake-checkbox::before {
    opacity: 1;
}

.checkbox-label {
    display: flex;
}

.checkbox:checked ~ .checkbox-div-green-span {
    text-decoration: underline;
    color: var(--HoverColor);
    transition: all var(--TransitionTime);
}

.checkbox-div-span, .checkbox-div-green-span {
    color: #434343;
    font-family: Ubuntu, serif;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 20px;
}

.checkbox-div-green-span {
    color: #3CB878;
    margin-left: 3px;
}

.checkbox-div-span {
    margin-left: 8px;
}

.form-create-button {
    color: #FFF;
    font-family: Ubuntu, serif;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 16px;
    margin-left: 60px;
    width: 324px;
    height: 46px;
    margin-top: 20px;
    background-color: #3CB878;
    border: none;
    border-radius: 4px;
    margin-bottom: 38px;
}

.form-create-button:hover {
    background-color: var(--HoverColor);
    transition: all var(--TransitionTime);
}